Re: report of PAKCS installation problems (partly solved)

From: Michael Hanus <mh_at_informatik.uni-kiel.de>
Date: Wed, 19 Jan 2011 12:09:11 +0100

Sebastian Fischer wrote:
> I compiled the sources with ghc-7.0.1. After cymake was compiled
> successfully, I got errors when compiling Curry files:
>
> hGetContents: invalid argument (Invalid or incomplete multibyte or wide
> character)

Actually, I ran into the same problem a few days ago when
I tried to use the Curry frontend contained in Hackage.
Bernd told me that there was a change in some release of GHC
so that GHC uses the local LANG definition when reading inputs.
This causes the serious problem that the system libraries
require the same encoding as the local encoding of the programmer.

I have no immediate solution but want to discuss various alternatives:

- Use a distinguished encoding like UTF-8 for all programs,
  i.e., fix the encoding in the language definition.

- Allow different encodings in different modules by putting some comment
  in the header of each module.

- Use a compiler parameter for the encoding, but this does not solve
  the problem of different encodings in different files.

- ...

What do you think is appropriate?

In the meantime, I try to remove special characters from system
libraries (as far as I see, the main source is Bernd's last name
in the comments of some libraries...).

Best regards,

Michael
_______________________________________________
curry mailing list
curry_at_lists.RWTH-Aachen.DE
http://MailMan.RWTH-Aachen.DE/mailman/listinfo/curry
Received on Wed Jan 19 2011 - 13:10:56 CET

This archive was generated by hypermail 2.3.0 : Wed Sep 18 2019 - 07:15:08 CEST